> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepslate.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# List SIP Phone Numbers

> Retrieves a paginated list of phone numbers under the specified SIP credentials.



## OpenAPI

````yaml GET /api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials/{sipCredentialsId}/phone-numbers
openapi: 3.1.0
info:
  title: Deepslate
  description: OpenAPI specification of the public Deepslate API
  version: v1.0
servers:
  - url: https://app.deepslate.eu
    description: Generated server url
security: []
tags:
  - name: SIP Credentials Management
    description: API endpoints for managing SIP Credentials within an Organization
  - name: Assistant Management
    description: API endpoints for managing Assistants within an Organization
  - name: SIP Numbers Management
    description: API endpoints for managing SIP Numbers within an Organization
  - name: Agent Task Management
    description: API endpoints for retrieving Agent Tasks
  - name: Organization Management
    description: API endpoints for managing Organizations
  - name: Agent Management
    description: API endpoints for managing Agents within an Organization
  - name: LLM Generation Strategy Management
    description: >-
      API endpoints for managing LLM Generation Strategies within an
      Organization
paths:
  /api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials/{sipCredentialsId}/phone-numbers:
    get:
      tags:
        - SIP Numbers Management
      summary: List SIP Phone Numbers
      description: >-
        Retrieves a paginated list of phone numbers under the specified SIP
        credentials.
      operationId: readAll
      parameters:
        - name: vendorId
          in: path
          description: ID of the Vendor (UUID)
          required: true
          schema:
            type: string
          example: a1b2c3d4-e5f6-7890-1234-567890abcdef
        - name: organizationId
          in: path
          description: ID of the Organization (UUID)
          required: true
          schema:
            type: string
          example: f0e9d8c7-b6a5-4321-fedc-ba9876543210
        - name: sipCredentialsId
          in: path
          description: ID of the SIP Credentials (UUID)
          required: true
          schema:
            type: string
          example: 7866bedc-40a0-46c6-aa77-6b0a25a92f1e
        - name: page
          in: query
          description: Page number of the requested page (0-indexed)
          required: false
          schema:
            type: integer
            default: 0
        - name: size
          in: query
          description: Number of items per page
          required: false
          schema:
            type: integer
            default: 20
        - name: sort
          in: query
          description: >-
            Sorting criteria in the format: property,(asc|desc). Default sort is
            'telephoneNumber,asc'. Multiple sort criteria are supported.
          required: false
          schema:
            type: string
            default: telephoneNumber,asc
          example: telephoneNumber,desc
      responses:
        '200':
          description: Successfully retrieved phone numbers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SipTelephoneNumberPagedResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden - User does not have permission
        '404':
          description: Vendor, Organization or SIP Credentials not found
components:
  schemas:
    SipTelephoneNumberPagedResponse:
      type: object
      description: Paged API response wrapper
      properties:
        success:
          type: boolean
          description: Indicates if the request was successful
          example: true
        message:
          type: string
          description: Human-readable message
        data:
          type: array
          description: List of data items
          items:
            $ref: '#/components/schemas/SipTelephoneNumber'
        page:
          type: integer
          format: int32
          description: Current page number (0-indexed)
          example: 0
        size:
          type: integer
          format: int32
          description: Size of each page
          example: 20
        totalElements:
          type: integer
          format: int64
          description: Total number of elements
          example: 100
        totalPages:
          type: integer
          format: int32
          description: Total number of pages
          example: 5
        timestamp:
          type: string
          format: date-time
          description: Response timestamp in ISO-8601 format
          example: '2025-04-17T14:23:30Z'
        traceId:
          type: string
          description: Correlation or trace ID
      required:
        - page
        - size
        - success
        - timestamp
        - totalElements
        - totalPages
    SipTelephoneNumber:
      type: object
      description: Detailed view of a telephone number.
      properties:
        id:
          type: string
          description: Unique identifier of the phone number (UUID).
          example: a46ccb36-3bd1-49e5-b36e-d1851c3a63ab
        phoneNumber:
          type: string
          description: Phone number
          example: '0049123456789'
        fallback:
          type: boolean
          description: Flag for fallback phone number
          example: true
      required:
        - id
        - phoneNumber

````